# -*- coding: utf-8 -*-
# License: Apache License 2.0
"""
    halef_setu_api
    -------------------

    API for halef_setu

    :author: Patrick L. Lange (plange@ets.org)
    :author: Rutuja Ubale (rutuja@ucla.edu)
    :organization: ETS

"""
from flask import Flask
from halefslu.models import BowModel
import yaml


def load_models(config):
    with open(config, 'r') as fh:
        try:
            slu_models_config = yaml.load(fh)
        except yaml.YAMLError, e:
            print 'Error in config file:', e

    slu_models = {}
    smd = slu_models_config["model_dir"]
    reject_class = slu_models_config["reject_class"]
    for item in slu_models_config["items"]:
        for item_name in item:
            for state in item[item_name]:
                classes = state["classes"]
                classes.append(reject_class)
                slu_models[(item_name,
                            state["state"])] = BowModel(state["state"],
                                                        classes,
                                                        smd + state["model"],
                                                        smd + state["vocab"])
    return slu_models

app = Flask(__name__)
app.config.from_envvar('HALEF_SETU_SETTINGS')
load_models(app.config['HALEF_SETU_MODELS'])

from halef_setu_api import views
